Debian Bug report logs - #490999
libqt3-mt: QTime::addMSecs(int) is compiled wrongly on sparc

Package: libqt3-mt; Maintainer for libqt3-mt is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: Baurzhan Ismagulov <ibr@radix50.net>

Date: Tue, 15 Jul 2008 21:12:10 UTC

Severity: grave

Tags: confirmed

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package kicker. Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kicker: crashes on startup
Date: Sun, 13 Jul 2008 20:35:03 +0200
[Message part 1 (text/plain, inline)]
Package: kicker
Version: 4:3.5.9.dfsg.1-2+b1
Severity: important


Hello,

kicker from lenny is crashing during starting up on sparc. Two or three
weeks ago I installed lenny on i386, it worked. Crashing sometimes with
SIGBUS (usual problem since sparc doesn't allow unaligned word access)
and sometimes with SIGSEGV is suspicious, however.

Thanks in advance,
Baurzhan.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: sparc (sparc64)

Kernel: Linux 2.6.24-1-sparc64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kicker depends on:
ii  kdebase-data         4:3.5.9.dfsg.1-2    shared data files for the KDE base
ii  kdelibs4c2a          4:3.5.9.dfsg.1-4    core libraries and binaries for al
ii  libc6                2.7-10              GNU C Library: Shared libraries
ii  libgcc1              1:4.3.1-2           GCC support library
ii  libkonq4             4:3.5.9.dfsg.1-2+b1 core libraries for Konqueror
ii  libqt3-mt            3:3.3.8b-5          Qt GUI Library (Threaded runtime v
ii  libstdc++6           4.3.1-2             The GNU Standard C++ Library v3
ii  libx11-6             2:1.1.4-2           X11 client-side library
ii  libxau6              1:1.0.3-3           X11 authorisation library
ii  libxcomposite1       1:0.4.0-3           X11 Composite extension library
ii  libxfixes3           1:4.0.3-2           X11 miscellaneous 'fixes' extensio
ii  libxrender1          1:0.9.4-2           X Rendering Extension client libra

kicker recommends no packages.

-- no debconf information
[screen-exchange (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package kicker. (Tue, 04 Nov 2008 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Max Dmitrichenko <dmitrmax@rain.ifmo.ru>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 04 Nov 2008 21:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 490999@bugs.debian.org (full text, mbox):

From: Max Dmitrichenko <dmitrmax@rain.ifmo.ru>
To: Debian Bug Tracking System <490999@bugs.debian.org>
Subject: kicker: Confirmed
Date: Tue, 04 Nov 2008 23:59:57 +0300
Package: kicker
Version: 4:3.5.9.dfsg.1-5
Followup-For: Bug #490999

I have just the same situation. Kicker dies either silently or causing a KCrash
to appear. Latter case can produce a crash report but every time this report
is different and mostly contains stack corruption. So, the kicker is totally
unusable on sparc. Since it is one of the main KDE's component, I think this
is RC-bug.

I would gladly help to debug this. But I'm very unfamiliar with KDE. Running
kicker under gdb is meanless because every time it finishes successfuly,
but kicker dies somewhere "outside" of gdb.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: sparc (sparc64)

Kernel: Linux 2.6.26-pcifix
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kicker depends on:
ii  kdebase-data         4:3.5.9.dfsg.1-5    shared data files for the KDE base
ii  kdelibs4c2a          4:3.5.9.dfsg.1-6+b1 core libraries and binaries for al
ii  libc6                2.7-15              GNU C Library: Shared libraries
ii  libgcc1              1:4.3.2-1           GCC support library
ii  libkonq4             4:3.5.9.dfsg.1-5    core libraries for Konqueror
ii  libqt3-mt            3:3.3.8b-5          Qt GUI Library (Threaded runtime v
ii  libstdc++6           4.3.2-1             The GNU Standard C++ Library v3
ii  libx11-6             2:1.1.5-2           X11 client-side library
ii  libxau6              1:1.0.3-3           X11 authorisation library
ii  libxcomposite1       1:0.4.0-3           X11 Composite extension library
ii  libxfixes3           1:4.0.3-2           X11 miscellaneous 'fixes' extensio
ii  libxrender1          1:0.9.4-2           X Rendering Extension client libra

kicker recommends no packages.

Versions of packages kicker suggests:
ii  khelpcente 4:4.0.0.really.3.5.9.dfsg.1-5 help center for KDE
pn  kicker-app <none>                        (no description available)
pn  menu       <none>                        (no description available)

-- no debconf information




Severity set to `grave' from `important' Request was from "Max Dmitrichenko" <dmitrmax@gmail.com> to control@bugs.debian.org. (Tue, 04 Nov 2008 21:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package kicker. (Tue, 04 Nov 2008 21:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 04 Nov 2008 21:21:06 GMT) Full text and rfc822 format available.

Message #17 received at 490999@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Max Dmitrichenko <dmitrmax@rain.ifmo.ru>
Cc: Debian Bug Tracking System <490999@bugs.debian.org>
Subject: Re: kicker: Confirmed
Date: Tue, 4 Nov 2008 23:16:57 +0200
[Message part 1 (text/plain, inline)]
Hello,

antradienis 04 Lapkritis 2008, Max Dmitrichenko rašė:
> I would gladly help to debug this. But I'm very unfamiliar with KDE.
> Running kicker under gdb is meanless because every time it finishes
> successfuly, but kicker dies somewhere "outside" of gdb.
Try kicker --nofork

-- 
Modestas Vainius <modestas@vainius.eu>

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package kicker. (Tue, 04 Nov 2008 22:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Max Dmitrichenko" <dmitrmax@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 04 Nov 2008 22:15:03 GMT) Full text and rfc822 format available.

Message #22 received at 490999@bugs.debian.org (full text, mbox):

From: "Max Dmitrichenko" <dmitrmax@gmail.com>
To: "Modestas Vainius" <modestas@vainius.eu>
Cc: "Debian Bug Tracking System" <490999@bugs.debian.org>
Subject: Re: kicker: Confirmed
Date: Wed, 5 Nov 2008 00:56:00 +0300
Thanks Modestas!

Running kicker --nofork under gdb produces the same crash with SIGBUS.
Tested several times - backtrace doesn't differ except for object
addresses. GDB's backtrace is attached.

What's next? Is there a way to build only kicker from sources? Not
necessary to build a package. Rebuilding the whole kdebase on my sparc
will last 6-10 hours :(

--
  Max




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package kicker. (Tue, 04 Nov 2008 22:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 04 Nov 2008 22:48:06 GMT) Full text and rfc822 format available.

Message #27 received at 490999@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: "Max Dmitrichenko" <dmitrmax@gmail.com>, 490999@bugs.debian.org
Subject: Re: Bug#490999: kicker: Confirmed
Date: Wed, 5 Nov 2008 00:42:35 +0200
[Message part 1 (text/plain, inline)]
Hello,

antradienis 04 Lapkritis 2008, Max Dmitrichenko rašė:
> addresses. GDB's backtrace is attached.
Is it? I don't see an attachment.

> What's next? Is there a way to build only kicker from sources?
I'm afraid there is no supported way to do this. You can try the following 
though. Run ./configure and then cd to kicker build directory and run 'make'.

-- 
Modestas Vainius <modestas@vainius.eu>

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package kicker. (Tue, 04 Nov 2008 22:48:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Max Dmitrichenko" <dmitrmax@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 04 Nov 2008 22:48:20 GMT) Full text and rfc822 format available.

Message #32 received at 490999@bugs.debian.org (full text, mbox):

From: "Max Dmitrichenko" <dmitrmax@gmail.com>
To: "Modestas Vainius" <modestas@vainius.eu>
Cc: 490999@bugs.debian.org
Subject: Ответ: Bug#490999: kicker: Confirmed
Date: Wed, 5 Nov 2008 01:47:43 +0300
[Message part 1 (text/plain, inline)]
2008/11/5, Modestas Vainius <modestas@vainius.eu>:
> Hello,
>
> antradienis 04 Lapkritis 2008, Max Dmitrichenko rašė:
>> addresses. GDB's backtrace is attached.
> Is it? I don't see an attachment.

Oops... Another try :)

>> What's next? Is there a way to build only kicker from sources?
> I'm afraid there is no supported way to do this. You can try the following
> though. Run ./configure and then cd to kicker build directory and run
> 'make'.
Ok, I'll try.

--
  Max
[kicker.bt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package kicker. (Tue, 04 Nov 2008 23:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 04 Nov 2008 23:03:12 GMT) Full text and rfc822 format available.

Message #37 received at 490999@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: control@bugs.debian.org, 490999@bugs.debian.org
Subject: Re: Bug#490999: kicker: Confirmed
Date: Wed, 05 Nov 2008 00:00:13 +0100
[Message part 1 (text/plain, inline)]
tags 490999 + confirmed
thanks

Hi,

gdb backtrace is attached.

Cheers,

Bernd

-- 
 Bernd Zeimetz                           Debian GNU/Linux Developer
 GPG Fingerprint: 06C8 C9A2 EAAD E37E 5B2C BE93 067A AD04 C93B FF79
[kicker-sparc-bt.txt (text/plain, inline)]
(sid)bzed@titan:~$ gdb --args kicker --nofork
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "sparc-linux-gnu"...
(gdb) run
Starting program: /usr/bin/kicker --nofork
[Thread debugging using libthread_db enabled]
Xlib:  extension "XInputExtension" missing on display ":1.0".
Failed to get list of devices
[New Thread 0xf68d26c0 (LWP 10136)]

Program received signal SIGBUS, Bus error.
[Switching to Thread 0xf68d26c0 (LWP 10136)]
0xf7fc0168 in ?? () from /lib/ld-linux.so.2
(gdb) bt full
#0  0xf7fc0168 in ?? () from /lib/ld-linux.so.2
No symbol table info available.
#1  0xf7fc6a34 in ?? () from /lib/ld-linux.so.2
No symbol table info available.
#2  0xf5d329bc in DigitalClock::updateClock (this=0x12c018)
    at /build/buildd/kdebase-3.5.9.dfsg.1/./kicker/applets/clock/clock.cpp:316
        newStr = {static null = {static null = <same as static member of an already seen type>, d = 0x240c0,
    static shared_null = 0x240c0}, d = 0x240c0, static shared_null = 0x240c0}
        t = {ds = 4124156500}
        h = <value optimized out>
        m = <value optimized out>
        s = <value optimized out>
        format = {static null = {static null = <same as static member of an already seen type>, d = 0x240c0,
    static shared_null = 0x240c0}, d = 0x0, static shared_null = 0x240c0}
        sep = {static null = {static null = <same as static member of an already seen type>, d = 0x240c0,
    static shared_null = 0x240c0}, d = 0x0, static shared_null = 0x240c0}
        colon = true
#3  0xf5d37900 in ClockApplet::reconfigure (this=0x1109b8)
    at /build/buildd/kdebase-3.5.9.dfsg.1/./kicker/applets/clock/clock.cpp:1179
        globalBgroundColor = {static color_init = true, static globals_init = true, static colormodel = QColor::d32, d = {
    argb = 4293914607, d8 = {argb = 4293914607, pix = 68 'D', invalid = 73 'I', dirty = 82 'R', direct = 84 'T'}, d32 = {
      argb = 4293914607, pix = 1145655892}}}
        bgroundColor = {static color_init = true, static globals_init = true, static colormodel = QColor::d32, d = {
    argb = 1224736768, d8 = {argb = 1224736768, pix = 68 'D', invalid = 73 'I', dirty = 82 'R', direct = 84 'T'}, d32 = {
      argb = 1224736768, pix = 1145655892}}}
        updateInterval = <value optimized out>
        pal = {data = 0xf75d1fb8}
#4  0xf5d38038 in ClockApplet (this=0x1109b8, configFile=@0xffb30040, t=KPanelApplet::Normal, actions=4,
    parent=<value optimized out>, name=<value optimized out>)
    at /build/buildd/kdebase-3.5.9.dfsg.1/./kicker/applets/clock/clock.cpp:902
No locals.
#5  0xf5d38224 in init (parent=0x10edc8, configFile=@0xffb30040)
    at /build/buildd/kdebase-3.5.9.dfsg.1/./kicker/applets/clock/clock.cpp:75
No locals.
#6  0xf7f1b710 in PluginManager::loadApplet (this=0xae000, info=@0xffb301c4, parent=0x10edc8)
    at /build/buildd/kdebase-3.5.9.dfsg.1/./kicker/kicker/core/pluginmanager.cpp:158
        loader = <value optimized out>
---Type <return> to continue, or q <return> to quit---
        lib = <value optimized out>
        applet = <value optimized out>
#7  0xf7f22698 in AppletContainer (this=0x10ecc8, info=@0xffb301c4, opMenu=<value optimized out>, immutable=false,
    parent=<value optimized out>) at /build/buildd/kdebase-3.5.9.dfsg.1/./kicker/kicker/core/container_applet.cpp:102
No locals.
#8  0xf7f22f94 in PluginManager::createAppletContainer (this=0xae000, desktopFile=@0xffb30344, isStartup=true,
    configFile=<value optimized out>, opMenu=0xad790, parent=0xb1ca0, isImmutable=<value optimized out>)
    at /build/buildd/kdebase-3.5.9.dfsg.1/./kicker/kicker/core/pluginmanager.cpp:290
        desktopPath = {static null = {static null = <same as static member of an already seen type>, d = 0x240c0,
    static shared_null = 0x240c0}, d = 0x10b0c8, static shared_null = 0x240c0}
        info = {m_name = {static null = {static null = <same as static member of an already seen type>, d = 0x240c0,
      static shared_null = 0x240c0}, d = 0x10e688, static shared_null = 0x240c0}, m_comment = {static null = {
      static null = <same as static member of an already seen type>, d = 0x240c0, static shared_null = 0x240c0},
    d = 0x10e588, static shared_null = 0x240c0}, m_icon = {static null = {
      static null = <same as static member of an already seen type>, d = 0x240c0, static shared_null = 0x240c0},
    d = 0x10e5b8, static shared_null = 0x240c0}, m_lib = {static null = {
      static null = <same as static member of an already seen type>, d = 0x240c0, static shared_null = 0x240c0},
    d = 0x10e768, static shared_null = 0x240c0}, m_desktopFile = {static null = {
      static null = <same as static member of an already seen type>, d = 0x240c0, static shared_null = 0x240c0},
    d = 0xfae38, static shared_null = 0x240c0}, m_configFile = {static null = {
      static null = <same as static member of an already seen type>, d = 0x240c0, static shared_null = 0x240c0},
    d = 0x10e7c8, static shared_null = 0x240c0}, m_type = AppletInfo::Applet, m_unique = false, m_hidden = false}
        instanceFound = <value optimized out>
        untrusted = <value optimized out>
        container = (AppletContainer *) 0x10ecc8
#9  0xf7f2a52c in ContainerArea::defaultContainerConfig (this=0xaf128)
    at /build/buildd/kdebase-3.5.9.dfsg.1/./kicker/kicker/core/containerarea.cpp:258
        f = {<QIODevice> = {_vptr.QIODevice = 0xf75d1ef0, ioIndex = 0, ioMode = 256, ioSt = 0}, fn = {static null = {
      static null = <same as static member of an already seen type>, d = 0x240c0, static shared_null = 0x240c0},
    d = 0xedab0, static shared_null = 0x240c0}, fh = 0x0, fd = 0, length = 0, ext_f = false, d = 0xd08b0,
  ungetchBuffer = {<QMemArray<char>> = {<QGArray> = {_vptr.QGArray = 0xf75d1c40,
        shd = 0xedaa0}, <No data fields>}, <No data fields>}}
        manager = (PluginManager *) 0xae000
        a = (AppletContainer *) 0x10b258
#10 0xf7f2b4c8 in ContainerArea::initialize (this=0xaf128, useDefaultConfig=true)
    at /build/buildd/kdebase-3.5.9.dfsg.1/./kicker/kicker/core/containerarea.cpp:136
No locals.
---Type <return> to continue, or q <return> to quit---
#11 0xf7f2b770 in PanelExtension::populateContainerArea (this=0xaea88)
    at /build/buildd/kdebase-3.5.9.dfsg.1/./kicker/kicker/core/panelextension.cpp:107
No locals.
#12 0xf7f1db14 in PanelExtension::qt_invoke (this=<value optimized out>, _id=50, _o=0xffb305c8) at ./panelextension.moc:99
No locals.
#13 0xf716b194 in QObject::activate_signal (this=0xc7968, clist=0xc7a00, o=0xffb305c8) at kernel/qobject.cpp:2359
        object = (class QObject *) 0x4f16b35
        sol = (QSenderObjectList *) 0xaf068
        oldSender = (class QObject *) 0x0
        c = <value optimized out>
#14 0xf74ab668 in QSignal::signal (this=0xc7968, t0=<value optimized out>) at .moc/release-shared-mt/moc_qsignal.cpp:100
        clist = (QConnectionList *) 0xc7a00
        o = {{type = 0xf760d45c, payload = {b = 255, c = -1 '?', s = -77, i = -5044728, l = -5044728, uc = 255 '?',
      us = 65459, ui = 4289922568, ul = 4289922568, f = -nan(0x330608), d = -1.3358808170569649e+307,
      byte = "??\006\b?\030^?\000\000\000\000\000\000\000\001", bytearray = {data = 0xffb30608 "", size = 4145569520},
      ptr = 0xffb30608, voidstar = {ptr = 0xffb30608, owner = 247}, charstar = {ptr = 0xffb30608 "", owner = 247}, utf8 = {
        ptr = 0xffb30608 "", owner = 247}, local8bit = {ptr = 0xffb30608 "", owner = 247}, iface = 0xffb30608,
      idisp = 0xffb30608}}, {type = 0xf760baac, payload = {b = false, c = 0 '\0', s = 11, i = 731368, l = 731368,
      uc = 0 '\0', us = 11, ui = 731368, ul = 731368, f = 1.02486486e-39, d = 1.5519598176466893e-308,
      byte = "\000\v(?\000\000\000\000?]\037?\000\000\000", bytearray = {data = 0xb28e8 "", size = 0}, ptr = 0xb28e8,
      voidstar = {ptr = 0xb28e8, owner = false}, charstar = {ptr = 0xb28e8 "", owner = false}, utf8 = {ptr = 0xb28e8 "",
        owner = false}, local8bit = {ptr = 0xb28e8 "", owner = false}, iface = 0xb28e8, idisp = 0xb28e8}}}
#15 0xf7185f44 in QSignal::activate (this=0xc7968) at kernel/qsignal.cpp:215
No locals.
#16 0xf718d344 in QSingleShotTimer::event (this=0xc7940) at kernel/qtimer.cpp:289
No locals.
#17 0xf7107ea8 in QApplication::internalNotify (this=0x59d00, receiver=0xc7940, e=0xffb309f0)
    at kernel/qapplication.cpp:2638
No locals.
#18 0xf7108de8 in QApplication::notify (this=0x2f5a8, receiver=0xc7940, e=0xffb309f0) at kernel/qapplication.cpp:2526
        res = <value optimized out>


#19 0xf6de24d0 in KApplication::notify (this=0x2f5a8, receiver=0xc7940, event=0xffb309f0)
    at /build/buildd/kdelibs-3.5.10.dfsg.1/./kdecore/kapplication.cpp:550
        t = Timer
        _selectAll = (const KShortcut &) @0x0: <error reading variable>
        ic = (class QPixmap *) 0xafa90
#20 0xf70fc494 in QEventLoop::activateTimers (this=<value optimized out>) at kernel/qapplication.h:523
---Type <return> to continue, or q <return> to quit---
        e = {<QEvent> = {<Qt> = {static color0 = @0xf760bb90, static color1 = @0xf760bb98, static black = @0xf760bba0,
      static white = @0xf760bba8, static darkGray = @0xf760bbb0, static gray = @0xf760bbb8,
      static lightGray = @0xf760bbc0, static red = @0xf760bbc8, static green = @0xf760bbd0, static blue = @0xf760bbd8,
      static cyan = @0xf760bbe0, static magenta = @0xf760bbe8, static yellow = @0xf760bbf0, static darkRed = @0xf760bbf8,
      static darkGreen = @0xf760bc00, static darkBlue = @0xf760bc08, static darkCyan = @0xf760bc10,
      static darkMagenta = @0xf760bc18, static darkYellow = @0xf760bc20, static arrowCursor = @0xf760a3c8,
      static upArrowCursor = @0xf760a3cc, static crossCursor = @0xf760a3d0, static waitCursor = @0xf760a3d4,
      static ibeamCursor = @0xf760a3d8, static sizeVerCursor = @0xf760a3dc, static sizeHorCursor = @0xf760a3e0,
      static sizeBDiagCursor = @0xf760a3e4, static sizeFDiagCursor = @0xf760a3e8, static sizeAllCursor = @0xf760a3ec,
      static blankCursor = @0xf760a3f0, static splitVCursor = @0xf760a3f4, static splitHCursor = @0xf760a3f8,
      static pointingHandCursor = @0xf760a3fc, static forbiddenCursor = @0xf760a400, static whatsThisCursor = @0xf760a404,
      static busyCursor = @0xf760a408}, _vptr.QEvent = 0xf75bfc58, t = QEvent::Timer, posted = 0, spont = 0}, id = 126}
        first = <value optimized out>
        currentTime = {tv_sec = 1225839396, tv_usec = 317161}
        n_act = 0
        begin = (TimerInfo *) 0xb2af8
        t = <value optimized out>
#21 0xf70b2ef4 in QEventLoop::processEvents (this=0x3e0e8, flags=0) at kernel/qeventloop_x11.cpp:392
        event = {type = 28, xany = {type = 28, serial = 473, send_event = 0, display = 0x2f768, window = 46}, xkey = {
    type = 28, serial = 473, send_event = 0, display = 0x2f768, window = 46, root = 222, subwindow = 1773716951, time = 0,
    x = 100, y = 30, x_root = 0, y_root = 16777237, state = 0, keycode = 0, same_screen = 0}, xbutton = {type = 28,
    serial = 473, send_event = 0, display = 0x2f768, window = 46, root = 222, subwindow = 1773716951, time = 0, x = 100,
    y = 30, x_root = 0, y_root = 16777237, state = 0, button = 0, same_screen = 0}, xmotion = {type = 28, serial = 473,
    send_event = 0, display = 0x2f768, window = 46, root = 222, subwindow = 1773716951, time = 0, x = 100, y = 30,
    x_root = 0, y_root = 16777237, state = 0, is_hint = 0 '\0', same_screen = 0}, xcrossing = {type = 28, serial = 473,
    send_event = 0, display = 0x2f768, window = 46, root = 222, subwindow = 1773716951, time = 0, x = 100, y = 30,
    x_root = 0, y_root = 16777237, mode = 0, detail = 0, same_screen = 0, focus = 0, state = 0}, xfocus = {type = 28,
    serial = 473, send_event = 0, display = 0x2f768, window = 46, mode = 222, detail = 1773716951}, xexpose = {type = 28,
    serial = 473, send_event = 0, display = 0x2f768, window = 46, x = 222, y = 1773716951, width = 0, height = 100,
    count = 30}, xgraphicsexpose = {type = 28, serial = 473, send_event = 0, display = 0x2f768, drawable = 46, x = 222,
    y = 1773716951, width = 0, height = 100, count = 30, major_code = 0, minor_code = 16777237}, xnoexpose = {type = 28,
    serial = 473, send_event = 0, display = 0x2f768, drawable = 46, major_code = 222, minor_code = 1773716951},
  xvisibility = {type = 28, serial = 473, send_event = 0, display = 0x2f768, window = 46, state = 222}, xcreatewindow = {
    type = 28, serial = 473, send_event = 0, display = 0x2f768, parent = 46, window = 222, x = 1773716951, y = 0,
    width = 100, height = 30, border_width = 0, override_redirect = 16777237}, xdestroywindow = {type = 28, serial = 473,
    send_event = 0, display = 0x2f768, event = 46, window = 222}, xunmap = {type = 28, serial = 473, send_event = 0,
    display = 0x2f768, event = 46, window = 222, from_configure = 1773716951}, xmap = {type = 28, serial = 473,
---Type <return> to continue, or q <return> to quit---
    send_event = 0, display = 0x2f768, event = 46, window = 222, override_redirect = 1773716951}, xmaprequest = {
    type = 28, serial = 473, send_event = 0, display = 0x2f768, parent = 46, window = 222}, xreparent = {type = 28,
    serial = 473, send_event = 0, display = 0x2f768, event = 46, window = 222, parent = 1773716951, x = 0, y = 100,
    override_redirect = 30}, xconfigure = {type = 28, serial = 473, send_event = 0, display = 0x2f768, event = 46,
    window = 222, x = 1773716951, y = 0, width = 100, height = 30, border_width = 0, above = 16777237,
    override_redirect = 0}, xgravity = {type = 28, serial = 473, send_event = 0, display = 0x2f768, event = 46,
    window = 222, x = 1773716951, y = 0}, xresizerequest = {type = 28, serial = 473, send_event = 0, display = 0x2f768,
    window = 46, width = 222, height = 1773716951}, xconfigurerequest = {type = 28, serial = 473, send_event = 0,
    display = 0x2f768, parent = 46, window = 222, x = 1773716951, y = 0, width = 100, height = 30, border_width = 0,
    above = 16777237, detail = 0, value_mask = 0}, xcirculate = {type = 28, serial = 473, send_event = 0,
    display = 0x2f768, event = 46, window = 222, place = 1773716951}, xcirculaterequest = {type = 28, serial = 473,
    send_event = 0, display = 0x2f768, parent = 46, window = 222, place = 1773716951}, xproperty = {type = 28,
    serial = 473, send_event = 0, display = 0x2f768, window = 46, atom = 222, time = 1773716951, state = 0},
  xselectionclear = {type = 28, serial = 473, send_event = 0, display = 0x2f768, window = 46, selection = 222,
    time = 1773716951}, xselectionrequest = {type = 28, serial = 473, send_event = 0, display = 0x2f768, owner = 46,
    requestor = 222, selection = 1773716951, target = 0, property = 100, time = 30}, xselection = {type = 28,
    serial = 473, send_event = 0, display = 0x2f768, requestor = 46, selection = 222, target = 1773716951, property = 0,
    time = 100}, xcolormap = {type = 28, serial = 473, send_event = 0, display = 0x2f768, window = 46, colormap = 222,
    c_new = 1773716951, state = 0}, xclient = {type = 28, serial = 473, send_event = 0, display = 0x2f768, window = 46,
    message_type = 222, format = 1773716951, data = {
      b = "\000\000\000\000\000\000\000d\000\000\000\036\000\000\000\000\001\000\000\025", s = {0, 0, 0, 100, 0, 30, 0, 0,
        256, 21}, l = {0, 100, 30, 0, 16777237}}}, xmapping = {type = 28, serial = 473, send_event = 0, display = 0x2f768,
    window = 46, request = 222, first_keycode = 1773716951, count = 0}, xerror = {type = 28, display = 0x1d9,
    resourceid = 0, serial = 194408, error_code = 0 '\0', request_code = 0 '\0', minor_code = 0 '\0'}, xkeymap = {
    type = 28, serial = 473, send_event = 0, display = 0x2f768, window = 46,
    key_vector = "\000\000\000?i???\000\000\000\000\000\000\000d\000\000\000\036\000\000\000\000\001\000\000\025\000\000\000"}, pad = {28, 473, 0, 194408, 46, 222, 1773716951, 0, 100, 30, 0, 16777237, 0 <repeats 12 times>}}
        nevents = 29
        canWait = <value optimized out>
        tm = (timeval *) 0xf760ba7c
        highest = 7
        nsel = 1
        zerotm = {tv_sec = 0, tv_usec = 0}
        t = {0xf74e5948 "Read", 0xf74e5950 "Write", 0xf74e5958 "Exception"}
#22 0xf71204f4 in QEventLoop::processEvents (this=0x3e0e8, flags=<value optimized out>, maxTime=3000)
    at kernel/qeventloop.cpp:261
        start = {ds = 82596307}
---Type <return> to continue, or q <return> to quit---
        now = {ds = 0}
#23 0xf7f2c814 in ExtensionManager::initialize (this=0xadeb8)
    at /build/buildd/kdebase-3.5.9.dfsg.1/./kicker/kicker/core/extensionmanager.cpp:129
        config = (class KConfig *) 0x3e3b0
        pm = (PluginManager *) 0xae000
        elist = {<QValueList<QString>> = {sh = 0xf6c4e354}, <No data fields>}
        r = {m_app = {<QMemArray<char>> = {<QGArray> = {_vptr.QGArray = 0xffb30cc0,
        shd = 0xf74c0ecc}, <No data fields>}, <No data fields>}, m_obj = {<QMemArray<char>> = {<QGArray> = {
        _vptr.QGArray = 0xf7d8f260, shd = 0x1}, <No data fields>}, <No data fields>},
  m_type = {<QMemArray<char>> = {<QGArray> = {_vptr.QGArray = 0x0,
        shd = 0xf6f26f90}, <No data fields>}, <No data fields>}, d = 0xf6f1fdb0}
#24 0xf7f2d224 in ExtensionManager::qt_invoke (this=0xadeb8, _id=3, _o=0xffb30e90) at ./extensionmanager.moc:122
No locals.
#25 0xf716b194 in QObject::activate_signal (this=0xadf20, clist=0xadcb8, o=0xffb30e90) at kernel/qobject.cpp:2359
        object = (class QObject *) 0x4f16b35
        sol = (QSenderObjectList *) 0xade88
        oldSender = (class QObject *) 0x0
        c = <value optimized out>
#26 0xf74ab668 in QSignal::signal (this=0xadf20, t0=<value optimized out>) at .moc/release-shared-mt/moc_qsignal.cpp:100
        clist = (QConnectionList *) 0xadcb8
        o = {{type = 0xf760d45c, payload = {b = 255, c = -1 '?', s = -77, i = -5042480, l = -5042480, uc = 255 '?',
      us = 65459, ui = 4289924816, ul = 4289924816, f = -nan(0x330ed0), d = -1.3382895684059197e+307,
      byte = "??\016??\030^????p\000\000\000", bytearray = {data = 0xffb30ed0 "", size = 4145569520}, ptr = 0xffb30ed0,
      voidstar = {ptr = 0xffb30ed0, owner = 247}, charstar = {ptr = 0xffb30ed0 "", owner = 247}, utf8 = {
        ptr = 0xffb30ed0 "", owner = 247}, local8bit = {ptr = 0xffb30ed0 "", owner = 247}, iface = 0xffb30ed0,
      idisp = 0xffb30ed0}}, {type = 0xf760baac, payload = {b = false, c = 0 '\0', s = 9, i = 628664, l = 628664,
      uc = 0 '\0', us = 9, ui = 628664, ul = 628664, f = 8.80945898e-40, d = 1.334022361931392e-308,
      byte = "\000\t\227?\000\000\000\000?]\037?\000\000\000", bytearray = {data = 0x997b8 "", size = 0}, ptr = 0x997b8,
      voidstar = {ptr = 0x997b8, owner = false}, charstar = {ptr = 0x997b8 "", owner = false}, utf8 = {ptr = 0x997b8 "",
        owner = false}, local8bit = {ptr = 0x997b8 "", owner = false}, iface = 0x997b8, idisp = 0x997b8}}}
#27 0xf7185f44 in QSignal::activate (this=0xadf20) at kernel/qsignal.cpp:215
No locals.
#28 0xf718d344 in QSingleShotTimer::event (this=0xadef8) at kernel/qtimer.cpp:289
No locals.
#29 0xf7107ea8 in QApplication::internalNotify (this=0x59d00, receiver=0xadef8, e=0xffb312b8)
    at kernel/qapplication.cpp:2638
No locals.
---Type <return> to continue, or q <return> to quit---
#30 0xf7108de8 in QApplication::notify (this=0x2f5a8, receiver=0xadef8, e=0xffb312b8) at kernel/qapplication.cpp:2526
        res = <value optimized out>
#31 0xf6de24d0 in KApplication::notify (this=0x2f5a8, receiver=0xadef8, event=0xffb312b8)
    at /build/buildd/kdelibs-3.5.10.dfsg.1/./kdecore/kapplication.cpp:550
        t = Timer
        _selectAll = (const KShortcut &) @0x0: <error reading variable>
        ic = (class QPixmap *) 0xafa90
#32 0xf70fc494 in QEventLoop::activateTimers (this=<value optimized out>) at kernel/qapplication.h:523
        e = {<QEvent> = {<Qt> = {static color0 = @0xf760bb90, static color1 = @0xf760bb98, static black = @0xf760bba0,
      static white = @0xf760bba8, static darkGray = @0xf760bbb0, static gray = @0xf760bbb8,
      static lightGray = @0xf760bbc0, static red = @0xf760bbc8, static green = @0xf760bbd0, static blue = @0xf760bbd8,
      static cyan = @0xf760bbe0, static magenta = @0xf760bbe8, static yellow = @0xf760bbf0, static darkRed = @0xf760bbf8,
      static darkGreen = @0xf760bc00, static darkBlue = @0xf760bc08, static darkCyan = @0xf760bc10,
      static darkMagenta = @0xf760bc18, static darkYellow = @0xf760bc20, static arrowCursor = @0xf760a3c8,
      static upArrowCursor = @0xf760a3cc, static crossCursor = @0xf760a3d0, static waitCursor = @0xf760a3d4,
      static ibeamCursor = @0xf760a3d8, static sizeVerCursor = @0xf760a3dc, static sizeHorCursor = @0xf760a3e0,
      static sizeBDiagCursor = @0xf760a3e4, static sizeFDiagCursor = @0xf760a3e8, static sizeAllCursor = @0xf760a3ec,
      static blankCursor = @0xf760a3f0, static splitVCursor = @0xf760a3f4, static splitHCursor = @0xf760a3f8,
      static pointingHandCursor = @0xf760a3fc, static forbiddenCursor = @0xf760a400, static whatsThisCursor = @0xf760a404,
      static busyCursor = @0xf760a408}, _vptr.QEvent = 0xf75bfc58, t = QEvent::Timer, posted = 0, spont = 0}, id = 126}
        first = <value optimized out>
        currentTime = {tv_sec = 1225839396, tv_usec = 81981}
        n_act = 0
        begin = (TimerInfo *) 0xad290
        t = <value optimized out>
#33 0xf70b2ef4 in QEventLoop::processEvents (this=0x3e0e8, flags=4) at kernel/qeventloop_x11.cpp:392
        event = {type = 28, xany = {type = 28, serial = 199, send_event = 0, display = 0x2f768, window = 16777228},
  xkey = {type = 28, serial = 199, send_event = 0, display = 0x2f768, window = 16777228, root = 230,
    subwindow = 1773716714, time = 0, x = 0, y = 0, x_root = 0, y_root = 0, state = 0, keycode = 0, same_screen = 0},
  xbutton = {type = 28, serial = 199, send_event = 0, display = 0x2f768, window = 16777228, root = 230,
    subwindow = 1773716714, time = 0, x = 0, y = 0, x_root = 0, y_root = 0, state = 0, button = 0, same_screen = 0},
  xmotion = {type = 28, serial = 199, send_event = 0, display = 0x2f768, window = 16777228, root = 230,
    subwindow = 1773716714, time = 0, x = 0, y = 0, x_root = 0, y_root = 0, state = 0, is_hint = 0 '\0', same_screen = 0},
  xcrossing = {type = 28, serial = 199, send_event = 0, display = 0x2f768, window = 16777228, root = 230,
    subwindow = 1773716714, time = 0, x = 0, y = 0, x_root = 0, y_root = 0, mode = 0, detail = 0, same_screen = 0,
    focus = 0, state = 0}, xfocus = {type = 28, serial = 199, send_event = 0, display = 0x2f768, window = 16777228,
    mode = 230, detail = 1773716714}, xexpose = {type = 28, serial = 199, send_event = 0, display = 0x2f768,
---Type <return> to continue, or q <return> to quit---
    window = 16777228, x = 230, y = 1773716714, width = 0, height = 0, count = 0}, xgraphicsexpose = {type = 28,
    serial = 199, send_event = 0, display = 0x2f768, drawable = 16777228, x = 230, y = 1773716714, width = 0, height = 0,
    count = 0, major_code = 0, minor_code = 0}, xnoexpose = {type = 28, serial = 199, send_event = 0, display = 0x2f768,
    drawable = 16777228, major_code = 230, minor_code = 1773716714}, xvisibility = {type = 28, serial = 199,
    send_event = 0, display = 0x2f768, window = 16777228, state = 230}, xcreatewindow = {type = 28, serial = 199,
    send_event = 0, display = 0x2f768, parent = 16777228, window = 230, x = 1773716714, y = 0, width = 0, height = 0,
    border_width = 0, override_redirect = 0}, xdestroywindow = {type = 28, serial = 199, send_event = 0,
    display = 0x2f768, event = 16777228, window = 230}, xunmap = {type = 28, serial = 199, send_event = 0,
    display = 0x2f768, event = 16777228, window = 230, from_configure = 1773716714}, xmap = {type = 28, serial = 199,
    send_event = 0, display = 0x2f768, event = 16777228, window = 230, override_redirect = 1773716714}, xmaprequest = {
    type = 28, serial = 199, send_event = 0, display = 0x2f768, parent = 16777228, window = 230}, xreparent = {type = 28,
    serial = 199, send_event = 0, display = 0x2f768, event = 16777228, window = 230, parent = 1773716714, x = 0, y = 0,
    override_redirect = 0}, xconfigure = {type = 28, serial = 199, send_event = 0, display = 0x2f768, event = 16777228,
    window = 230, x = 1773716714, y = 0, width = 0, height = 0, border_width = 0, above = 0, override_redirect = 0},
  xgravity = {type = 28, serial = 199, send_event = 0, display = 0x2f768, event = 16777228, window = 230, x = 1773716714,
    y = 0}, xresizerequest = {type = 28, serial = 199, send_event = 0, display = 0x2f768, window = 16777228, width = 230,
    height = 1773716714}, xconfigurerequest = {type = 28, serial = 199, send_event = 0, display = 0x2f768,
    parent = 16777228, window = 230, x = 1773716714, y = 0, width = 0, height = 0, border_width = 0, above = 0,
    detail = 0, value_mask = 0}, xcirculate = {type = 28, serial = 199, send_event = 0, display = 0x2f768,
    event = 16777228, window = 230, place = 1773716714}, xcirculaterequest = {type = 28, serial = 199, send_event = 0,
    display = 0x2f768, parent = 16777228, window = 230, place = 1773716714}, xproperty = {type = 28, serial = 199,
    send_event = 0, display = 0x2f768, window = 16777228, atom = 230, time = 1773716714, state = 0}, xselectionclear = {
    type = 28, serial = 199, send_event = 0, display = 0x2f768, window = 16777228, selection = 230, time = 1773716714},
  xselectionrequest = {type = 28, serial = 199, send_event = 0, display = 0x2f768, owner = 16777228, requestor = 230,
    selection = 1773716714, target = 0, property = 0, time = 0}, xselection = {type = 28, serial = 199, send_event = 0,
    display = 0x2f768, requestor = 16777228, selection = 230, target = 1773716714, property = 0, time = 0}, xcolormap = {
    type = 28, serial = 199, send_event = 0, display = 0x2f768, window = 16777228, colormap = 230, c_new = 1773716714,
    state = 0}, xclient = {type = 28, serial = 199, send_event = 0, display = 0x2f768, window = 16777228,
    message_type = 230, format = 1773716714, data = {b = '\0' <repeats 19 times>, s = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, l = {
        0, 0, 0, 0, 0}}}, xmapping = {type = 28, serial = 199, send_event = 0, display = 0x2f768, window = 16777228,
    request = 230, first_keycode = 1773716714, count = 0}, xerror = {type = 28, display = 0xc7, resourceid = 0,
    serial = 194408, error_code = 1 '\001', request_code = 0 '\0', minor_code = 0 '\0'}, xkeymap = {type = 28,
    serial = 199, send_event = 0, display = 0x2f768, window = 16777228,
    key_vector = "\000\000\000?i???", '\0' <repeats 23 times>}, pad = {28, 199, 0, 194408, 16777228, 230, 1773716714,
    0 <repeats 17 times>}}
        nevents = 4
        canWait = <value optimized out>
---Type <return> to continue, or q <return> to quit---
        tm = (timeval *) 0xf760ba7c
        highest = 7
        nsel = 1
        zerotm = {tv_sec = 0, tv_usec = 0}
        t = {0xf74e5948 "Read", 0xf74e5950 "Write", 0xf74e5958 "Exception"}
#34 0xf71205b4 in QEventLoop::enterLoop (this=0x3e0e8) at kernel/qeventloop.cpp:201
No locals.
#35 0xf71203d8 in QEventLoop::exec (this=0x3e0e8) at kernel/qeventloop.cpp:148
No locals.
#36 0xf7107a58 in QApplication::exec (this=0x2f5a8) at kernel/qapplication.cpp:2761
No locals.
#37 0xf7f2f6e4 in kdemain (argc=2, argv=<value optimized out>)
    at /build/buildd/kdebase-3.5.9.dfsg.1/./kicker/kicker/core/main.cpp:149
        appname = {<QMemArray<char>> = {<QGArray> = {_vptr.QGArray = 0xf75d1c40,
      shd = 0x2b9b8}, <No data fields>}, <No data fields>}
        aboutData = {mAppName = 0x2b9c8 "kicker", mProgramName = 0xf7f782d0 "KDE Panel", mVersion = 0xf7f79fe8 "3.5.9",
  mShortDescription = 0xf7f79ff0 "The KDE panel", mLicenseKey = 3,
  mCopyrightStatement = 0xf7f782e0 "(c) 1999-2004, The KDE Team", mOtherText = 0x0, mHomepageAddress = 0x0,
  mBugEmailAddress = 0xf7f78300 "submit@bugs.kde.org", mAuthorList = {sh = 0x2b9d8}, mCreditList = {sh = 0x2ba08},
  mLicenseText = 0x0, d = 0x2ba38}
        r = {m_app = {<QMemArray<char>> = {<QGArray> = {_vptr.QGArray = 0xf75d1c40,
        shd = 0x2f3c8}, <No data fields>}, <No data fields>}, m_obj = {<QMemArray<char>> = {<QGArray> = {
        _vptr.QGArray = 0xf75d1c40, shd = 0x2f3e8}, <No data fields>}, <No data fields>},
  m_type = {<QMemArray<char>> = {<QGArray> = {_vptr.QGArray = 0xf75d1c40,
        shd = 0x2f758}, <No data fields>}, <No data fields>}, d = 0x2d2f0}
        rv = <value optimized out>
#38 0xf7b37a58 in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#39 0x000104d8 in _start ()
No locals.
(gdb)      

Tags added: confirmed Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Tue, 04 Nov 2008 23:03:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package kicker. (Thu, 13 Nov 2008 19:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 13 Nov 2008 19:42:07 GMT) Full text and rfc822 format available.

Message #44 received at 490999@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: 490999@bugs.debian.org, control@bugs.debian.org
Subject: Code details.
Date: Thu, 13 Nov 2008 20:38:56 +0100
[Message part 1 (text/plain, inline)]
tags 490999 +help
thanks

  Hello All:

  I've been looking into the code. This is the relevant(crashing) part:
  kicker/applets/clock/clock.cpp:310

void DigitalClock::updateClock()
{
    static bool colon = true;
    QString newStr;
    QTime t(_applet->clockGetTime());

    int h = t.hour();
    int m = t.minute();
    int s = t.second();

  The crash happens on/around the call to t.hour() which is QTime::hour() 
prototype qdatetime.h:135 file. This belongs to Qt library.

  With this information which is all I could collect I have two hypothesis:

  · bug in the code calling QTime::hour
  · bug in the QTime::hour code

  Being a SIGBUS crash and not having an sparc dissasembler I think it's all I 
can say. I would appreciate some help from anyone having access to a sparc 
machine.

  Thanks.
-- 
     Raúl Sánchez Siles
----->Proud Debian user<-----
Linux registered user #416098
[signature.asc (application/pgp-signature, inline)]

Tags added: help Request was from Raúl Sánchez Siles <rasasi78@gmail.com> to control@bugs.debian.org. (Thu, 13 Nov 2008 19:42:11 GMT) Full text and rfc822 format available.

Bug reassigned from package `kicker' to `libqt3-mt'. Request was from Modestas Vainius <modestas@vainius.eu> to control@bugs.debian.org. (Sat, 22 Nov 2008 23:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package libqt3-mt. (Sun, 23 Nov 2008 14:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <Sune@vuorela.dk>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 23 Nov 2008 14:27:02 GMT) Full text and rfc822 format available.

Message #53 received at 490999@bugs.debian.org (full text, mbox):

From: Sune Vuorela <Sune@vuorela.dk>
To: 490999@bugs.debian.org, 490999-submitter@bugs.debian.org, debian-sparc@lists.debian.org
Subject: gcc-4.3 / qt3 misalignment
Date: Sun, 23 Nov 2008 15:25:32 +0100
[Message part 1 (text/plain, inline)]
Hi!

This gives bus error on sparc
#include <qdatetime.h>
#include <iostream>

int main(int argc, char* argv[] )
{
        QTime t = QTime::currentTime().addSecs(0);
        int hour = t.hour();
        std::cout << "hour" <<hour << std::endl;
        return 0;
}

except in some cases where it segfaults.

If I recompile Qt3 in debug mode (with -O0), it works fine.
 
Somehow I feel like blaming the toolchain or gcc. So debian-sparc, it is your 
turn!

When compiling qt3 with different options, I get:
with gcc 4.1 and -O2, I don't get a bus error, but wrong results from 
t.hour();
with gcc 4.3 and -O2 I get bus error 
with gcc 4.3 and -O1 it seems to work
with gcc 4.3 and -O0 it seems to work

/Sune
-- 
Genius, I'm not able to receive from a driver from DOS and from the 
preferences inside Outlook, how does it work?

From the drawer within Office 8000 you should unmount the desktop to reset the 
SMTP URL to a editor of a graphic DLL controller.


[signature.asc (application/pgp-signature, inline)]

Message sent on to Baurzhan Ismagulov <ibr@radix50.net>:
Bug#490999. (Sun, 23 Nov 2008 14:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package libqt3-mt. (Sun, 23 Nov 2008 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 23 Nov 2008 20:51:06 GMT) Full text and rfc822 format available.

Message #61 received at 490999@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: Sune Vuorela <Sune@vuorela.dk>, 490999-quiet@bugs.debian.org
Cc: 490999@bugs.debian.org, debian-sparc@lists.debian.org
Subject: Re: Bug#490999: gcc-4.3 / qt3 misalignment
Date: Sun, 23 Nov 2008 21:46:35 +0100
Hello Sune,

On Sun, Nov 23, 2008 at 03:25:32PM +0100, Sune Vuorela wrote:
> This gives bus error on sparc
...
> except in some cases where it segfaults.

Thanks for the test case! This results in the following bt:

#0  0xf7f38168 in _dl_fixup () from /lib/ld-linux.so.2
#1  0xf7f3ea34 in _dl_runtime_resolve () from /lib/ld-linux.so.2
#2  0x00010ba8 in main (argc=0x1, argv=0xffb036e4) at a.c:7

The bt looks similar for SIGBUG and SIGSEGV.


> If I recompile Qt3 in debug mode (with -O0), it works fine.
>  
> Somehow I feel like blaming the toolchain or gcc. So debian-sparc, it is your 
> turn!
> 
> When compiling qt3 with different options, I get:
> with gcc 4.1 and -O2, I don't get a bus error, but wrong results from 
> t.hour();
> with gcc 4.3 and -O2 I get bus error 
> with gcc 4.3 and -O1 it seems to work
> with gcc 4.3 and -O0 it seems to work

The test case works fine with qt4. Glibc is the same. Could it be
possible that qt3 overwrites memory somewhere? Wrong results for
t.hour() would also speak for that.

With kind regards,
-- 
Baurzhan Ismagulov
http://www.kz-easy.com/


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: sparc (sparc64)
            
Kernel: Linux 2.6.24-1-sparc64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
            
ii  kdebase-data            4:3.5.9.dfsg.1-2 shared data files for the KDE base
ii  kdelibs4c2a             4:3.5.9.dfsg.1-6 core libraries and binaries for al
ii  libc6                   2.7-16           GNU C Library: Shared libraries
ii  libgcc1                 1:4.3.2-1        GCC support library
ii  libkonq4                4:3.5.9.dfsg.1-2 core libraries for Konqueror
ii  libqt3-mt               3:3.3.8b-5       Qt GUI Library (Threaded runtime v
ii  libstdc++6              4.3.2-1          The GNU Standard C++ Library v3
ii  libx11-6                2:1.1.4-2        X11 client-side library
ii  libxau6                 1:1.0.3-3        X11 authorisation library
ii  libxcomposite1          1:0.4.0-3        X11 Composite extension library
ii  libxfixes3              1:4.0.3-2        X11 miscellaneous 'fixes' extensio
ii  libxrender1             1:0.9.4-2        X Rendering Extension client libra

ii  libqt4-assistant       4.4.3-1           Qt 4 assistant module
ii  libqt4-dbus            4.4.3-1           Qt 4 D-Bus module
ii  libqt4-designer        4.4.3-1           Qt 4 designer module
ii  libqt4-help            4.4.3-1           Qt 4 help module
ii  libqt4-network         4.4.3-1           Qt 4 network module
ii  libqt4-qt3support      4.4.3-1           Qt 3 compatibility library for Qt 
ii  libqt4-script          4.4.3-1           Qt 4 script module
ii  libqt4-sql             4.4.3-1           Qt 4 SQL module
ii  libqt4-svg             4.4.3-1           Qt 4 SVG module
ii  libqt4-test            4.4.3-1           Qt 4 test module
ii  libqt4-webkit          4.4.3-1           Qt 4 WebKit module
ii  libqt4-xml             4.4.3-1           Qt 4 XML module
ii  libqt4-xmlpatterns     4.4.3-1           Qt 4 XML patterns module
ii  libqtcore4             4.4.3-1           Qt 4 core module
ii  libqtgui4              4.4.3-1           Qt 4 GUI module
ii  qt4-qmake              4.4.3-1           Qt 4 qmake Makefile generator tool
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime
ii  libqt4-opengl-dev             4.4.3-1    Qt 4 OpenGL library development fi




Information stored :
Bug#490999; Package libqt3-mt. (Sun, 23 Nov 2008 20:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and filed, but not forwarded. (Sun, 23 Nov 2008 20:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package libqt3-mt. (Sun, 23 Nov 2008 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <Sune@vuorela.dk>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 23 Nov 2008 21:03:02 GMT) Full text and rfc822 format available.

Message #71 received at 490999@bugs.debian.org (full text, mbox):

From: Sune Vuorela <Sune@vuorela.dk>
To: Baurzhan Ismagulov <ibr@radix50.net>
Cc: 490999@bugs.debian.org, debian-sparc@lists.debian.org
Subject: Re: Bug#490999: gcc-4.3 / qt3 misalignment
Date: Sun, 23 Nov 2008 21:59:19 +0100
[Message part 1 (text/plain, inline)]
On Sunday 23 November 2008 21:46:35 Baurzhan Ismagulov wrote:
> Could it be
> possible that qt3 overwrites memory somewhere? Wrong results for
> t.hour() would also speak for that.

I have read over and over the qdatetime.cpp code, but I can't find anything 
looking weird.

src/tools/qdatetime.cpp  is where it is going on.

/Sune
-- 
How might I do for overclocking a file from AutoCAD?

You either need to link the e-mail, or should insert in the cable over a 
parallel server in order to log from the connector on the jumper to the mailer 
of a space bar.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package libqt3-mt. (Sun, 23 Nov 2008 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 23 Nov 2008 22:42:03 GMT) Full text and rfc822 format available.

Message #76 received at 490999@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 490999@bugs.debian.org
Subject: Re: kicker: crashes on startup
Date: Sun, 23 Nov 2008 22:43:17 +0000
[Message part 1 (text/plain, inline)]
This is due to a compiler bug.  The first two instructions of the
function QTime::addMSecs(int) are:

0xf7ce212c <_ZNK5QTime8addMSecsEi+0>:	save  %sp, -112, %sp
0xf7ce2130 <_ZNK5QTime8addMSecsEi+4>:	ld  [ %sp + 0x40 ], %i5

The second instruction is supposed to load the address where the
returned QTime object should be stored.  The calling convention is that
this is passed at 64 bytes above the stack pointer.  But it is using the
value of %sp *after* modification by the preceding save instruction, so
it reads random garbage.

These instructions should be generated in the opposite order, or the %sp
in the second instruction changed to %fp.  I have confirmed that the
latter change (replace opcode 0xfa03a040 with 0xfa07a040) causes the
test program to run successfully.

Ben.

[signature.asc (application/pgp-signature, inline)]

Tags removed: help Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 23 Nov 2008 23:57:11 GMT) Full text and rfc822 format available.

Blocking bugs of 490999 added: 506713 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 23 Nov 2008 23:57:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package libqt3-mt. (Mon, 24 Nov 2008 09:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 24 Nov 2008 09:33:03 GMT) Full text and rfc822 format available.

Message #85 received at 490999@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: Sune Vuorela <Sune@vuorela.dk>
Cc: 490999@bugs.debian.org, debian-sparc@lists.debian.org
Subject: Re: Bug#490999: gcc-4.3 / qt3 misalignment
Date: Mon, 24 Nov 2008 10:29:46 +0100
On Sun, Nov 23, 2008 at 09:59:19PM +0100, Sune Vuorela wrote:
> > Could it be
> > possible that qt3 overwrites memory somewhere? Wrong results for
> > t.hour() would also speak for that.
> 
> I have read over and over the qdatetime.cpp code, but I can't find anything 
> looking weird.

Yes, so have I. Is there a fast way to rebuild qt (cross-compile, access
to a fast sparc, etc.)?

With kind regards,
-- 
Baurzhan Ismagulov
http://www.kz-easy.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package libqt3-mt. (Mon, 24 Nov 2008 09:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <Sune@vuorela.dk>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 24 Nov 2008 09:36:03 GMT) Full text and rfc822 format available.

Message #90 received at 490999@bugs.debian.org (full text, mbox):

From: Sune Vuorela <Sune@vuorela.dk>
To: Baurzhan Ismagulov <ibr@radix50.net>
Cc: 490999@bugs.debian.org, debian-sparc@lists.debian.org
Subject: Re: Bug#490999: gcc-4.3 / qt3 misalignment
Date: Mon, 24 Nov 2008 10:32:54 +0100
[Message part 1 (text/plain, inline)]
On Monday 24 November 2008 10:29:46 Baurzhan Ismagulov wrote:
> On Sun, Nov 23, 2008 at 09:59:19PM +0100, Sune Vuorela wrote:
> > > Could it be
> > > possible that qt3 overwrites memory somewhere? Wrong results for
> > > t.hour() would also speak for that.
> >
> > I have read over and over the qdatetime.cpp code, but I can't find
> > anything looking weird.
>
> Yes, so have I. Is there a fast way to rebuild qt (cross-compile, access
> to a fast sparc, etc.)?
>
> With kind regards,

Hi!

Ben Hutchins did some work on it and ended up filing a bug against gcc:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506713
it got a much smaller testcase - and the gcc maintainer asks for additional 
information that can easiest been given by people with a sparc

/Sune
-- 
I cannot doubleclick on the 54-bit ISDN desktop to a computer on a CPU from 
iMacOS X, how does it work?

From the file menu within Flash you cannot open the password over the forward, 
so that you neither should forward to a clock over a tower, nor need to rename 
the digital IRC memory, so that therefore you cannot send a memory in order to 
load the SIMM on the forward.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package libqt3-mt. (Mon, 24 Nov 2008 09:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 24 Nov 2008 09:48:06 GMT) Full text and rfc822 format available.

Message #95 received at 490999@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: Sune Vuorela <Sune@vuorela.dk>
Cc: 490999@bugs.debian.org, debian-sparc@lists.debian.org
Subject: Re: Bug#490999: gcc-4.3 / qt3 misalignment
Date: Mon, 24 Nov 2008 10:40:42 +0100
On Mon, Nov 24, 2008 at 10:32:54AM +0100, Sune Vuorela wrote:
> Ben Hutchins did some work on it and ended up filing a bug against gcc:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506713
> it got a much smaller testcase - and the gcc maintainer asks for additional 
> information that can easiest been given by people with a sparc

Wow, thanks for the info!

With kind regards,
-- 
Baurzhan Ismagulov
http://www.kz-easy.com/




Blocking bugs of 490999 added: 506713 Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Wed, 03 Dec 2008 12:09:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package libqt3-mt. (Sun, 07 Dec 2008 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 07 Dec 2008 19:18:03 GMT) Full text and rfc822 format available.

Message #102 received at 490999@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: 490999@bugs.debian.org
Cc: debian-sparc@lists.debian.org, Sune@vuorela.dk
Subject: Re: Bug#490999: gcc-4.3 / qt3 misalignment
Date: Sun, 7 Dec 2008 20:16:01 +0100
On Mon, Nov 24, 2008 at 10:32:54AM +0100, Sune Vuorela wrote:
> Ben Hutchins did some work on it and ended up filing a bug against gcc:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506713
> it got a much smaller testcase - and the gcc maintainer asks for additional 
> information that can easiest been given by people with a sparc

Now that #506713 is closed, I have a couple of questions regarding the
process:

* The closing message mentions experimental; will the package be
  available in lenny? If yes, will this happen automatically, or does
  someone need to do something?

* When a newer compiler package is available for a distribution, is
  everything rebuilt with it?

* Are the package versions of "everything" bumped? Their sources have
  not been changed, but the binaries built with the (now fixed) compiler
  have. How is it ensured that users get the new binaries?

I've looked into the Reference, the Policy Manual, the Developer's
Reference, the New Maintainer's Guide, and Google, but couldn't find
anything even about dak deployment on the Debian servers. I would be
very grateful if anyone could explain this or point me to the right docs
/ mailing list.

Thanks in advance,
-- 
Baurzhan Ismagulov
http://www.kz-easy.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package libqt3-mt. (Mon, 08 Dec 2008 20:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien@cristau.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 08 Dec 2008 20:33:02 GMT) Full text and rfc822 format available.

Message #107 received at 490999@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien@cristau.org>
To: Baurzhan Ismagulov <ibr@radix50.net>
Cc: 490999@bugs.debian.org, debian-sparc@lists.debian.org, Sune@vuorela.dk
Subject: Re: Bug#490999: gcc-4.3 / qt3 misalignment
Date: Tue, 09 Dec 2008 02:00:15 +0530
On Sun, 2008-12-07 at 20:16 +0100, Baurzhan Ismagulov wrote:
> Now that #506713 is closed, I have a couple of questions regarding the
> process:
> 
> * The closing message mentions experimental; will the package be
>   available in lenny? If yes, will this happen automatically, or does
>   someone need to do something?
> 
Not automatically.  The package will be available in lenny if 1) the
maintainer uploads it to unstable, and 2) the release managers then let
it migrate to testing.

> * When a newer compiler package is available for a distribution, is
>   everything rebuilt with it?
> 
No.

> * Are the package versions of "everything" bumped? Their sources have
>   not been changed, but the binaries built with the (now fixed) compiler
>   have. How is it ensured that users get the new binaries?
> 
Rebuilt binaries get their version number bumped.

Cheers,
Julien





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package libqt3-mt. (Wed, 10 Dec 2008 13:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Max Dmitrichenko" <dmitrmax@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 10 Dec 2008 13:39:02 GMT) Full text and rfc822 format available.

Message #112 received at 490999@bugs.debian.org (full text, mbox):

From: "Max Dmitrichenko" <dmitrmax@gmail.com>
To: 490999@bugs.debian.org
Cc: "Baurzhan Ismagulov" <ibr@radix50.net>, "Julien Cristau" <julien@cristau.org>, debian-sparc@lists.debian.org, Sune@vuorela.dk
Date: Wed, 10 Dec 2008 16:33:55 +0300
>> * When a newer compiler package is available for a distribution, is
>>   everything rebuilt with it?
>>

>No.

But this is definitely non-sense. IIRC potentially every library is a
subject to be affected by the compiler's bug. The fact that other libs
don't cause such a destructive behavior (as Qt with kicker) is just a
matter of luck.

Personally I noticed that Konqueror on sparc is also VERY unstable.
Every third site opened by it crashes the Konqueror (or KJS). This is
not reproducable on i386. So, IMHO, this is somehow related to this
bug.

I think that investigate weather each crash is related to compiler's
bug or not is quite expensive an ineffective task. I think that
everything should be recompiled.

--
  Max




Blocking bugs of 490999 added: 506713 Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Mon, 29 Dec 2008 21:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package libqt3-mt. (Sat, 03 Jan 2009 01:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 03 Jan 2009 01:15:02 GMT) Full text and rfc822 format available.

Message #119 received at 490999@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: debian-release@lists.debian.org
Cc: 506713@bugs.debian.org, 490999@bugs.debian.org
Subject: Incorrect code in SPARC shared libraries
Date: Sat, 03 Jan 2009 01:13:43 +0000
[Message part 1 (text/plain, inline)]
Bug #506713 in gcc-4.3, which has just been fixed in unstable, results
in incorrect code generation in SPARC shared libraries.  I identified
this as the cause of bug #490999 in kicker, but it presumably affects
other shared libraries and will require binNMUs to fix.  However, doing
a binNMU for every package that builds a shared library would obviously
take a lot of buildd time and would likely make a mess of dependencies.

I do not know exactly what is the general pattern for the wrongly
generated code, but I will try scanning for shared libraries containing
the pattern:

        save %sp, offset1, %sp
        /* up to 10 instructions */
        ld [ %sp + offset2 ], reg

where offset1 + offset2 < 0 and reg is any register.

Ben.

-- 
Ben Hutchings
Lowery's Law:
             If it jams, force it. If it breaks, it needed replacing anyway.
[signature.asc (application/pgp-signature, inline)]

Bug no longer marked as found in version qt-x11-free/3:3.3.8b-5. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Jan 2009 02:36:03 GMT) Full text and rfc822 format available.

Changed Bug title to `libqt3-mt: QTime::addMSecs(int) is compiled wrongly on sparc' from `kicker: crashes on startup'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Jan 2009 02:36:04 GMT) Full text and rfc822 format available.

Changed Bug title to `libqt3-mt: QTime::addMSecs(int) is compiled wrongly on sparc' from `libqt3-mt: QTime::addMSecs(int) is compiled wrongly on sparc'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Jan 2009 03:24:03 GMT) Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Mon, 12 Jan 2009 04:48:04 GMT) Full text and rfc822 format available.

Notification sent to Baurzhan Ismagulov <ibr@radix50.net>:
Bug acknowledged by developer. (Mon, 12 Jan 2009 04:48:04 GMT) Full text and rfc822 format available.

Message #130 received at 490999-done@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 490999-done@bugs.debian.org
Subject: Re: libqt3-mt: QTime::addMSecs(int) is compiled wrongly on sparc
Date: Sun, 11 Jan 2009 20:46:56 -0800
BinNMU of qt-x11-free has been scheduled on sparc, which should correct this
problem for testing and unstable as soon as the binary is uploaded.  I'm
therefore closing this bug.  If other packages need rebuilt on sparc for
this issue, they should be tracked elsewhere.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#490999; Package libqt3-mt. (Tue, 20 Jan 2009 20:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 20 Jan 2009 20:09:02 GMT) Full text and rfc822 format available.

Message #135 received at 490999@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: 490999@bugs.debian.org
Subject: Re: Bug#490999 closed by Steve Langasek <vorlon@debian.org> (Re: libqt3-mt: QTime::addMSecs(int) is compiled wrongly on sparc)
Date: Tue, 20 Jan 2009 21:06:11 +0100
On Mon, Jan 12, 2009 at 04:48:04AM +0000, Debian Bug Tracking System wrote:
> BinNMU of qt-x11-free has been scheduled on sparc, which should correct this
> problem for testing and unstable as soon as the binary is uploaded.

Thank you!

With kind regards,
-- 
Baurzhan Ismagulov
http://www.kz-easy.com/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Feb 2009 07:37:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:28:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.